SAGA "slope, aspect, curvature" return wrong  output

2017-04-29 03:11 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24394

Description

Tagging this as a regression because I don't remember being an issue in the past, but not sure 100% now.

Tested on macOS, Windows and Linux, on 2.14.8, 2.14.14/2.18.7 and 2.18.7 with different SAGA versions.

Take the attached dataset and use as input for the "slope, aspect, curvature" alg. Leave output fields empty. Run the the tool, point layers

are returned instead of raster layers. If an output is manually defined then after running the right results is returned (but with the attached

dataset it seems that the output is not given the right CRS, the one of the input).

This does not happen with other sample inputs of the same type (but other CRSs).

Associated revisions

Revision 3d3b6ecb - 2017-05-12 04:22 PM - Alexander Bruy

[processing] take in account file extension when loading Processing

results (fix #16486)

Revision e01b7ef6 - 2017-05-12 04:28 PM - Alexander Bruy

[processing] take in account file extension when loading Processing

results (fix #16486)

History

#1 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#2 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#3 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-05-12 04:22 PM - Alexander Bruy

- Status changed from Open to Closed

- % Done changed from 0 to 100
Applied in changeset commit:qgis|3d3b6ecb1f2de18b55be4756dff48f05fb8863a7.

#5 - 2017-05-12 04:24 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Description updated

Files

sample.tif.zip 3.57 MB 2017-04-29 Giovanni Manghi
